Get deployment frequency chart data

Get deployment frequency chart data. Engineering insights displays deployment frequency data in the [deployment frequency metric view](https://launchdarkly.com/docs/home/observability/deployments). ### Expanding the chart response LaunchDarkly supports expanding the chart response to include additional fields. To expand the response, append the `expand` query parameter and include the following: * `metrics` includes details on the metrics related to deployment frequency For example, use `?expand=metrics` to include the `metrics` field in the response. By default, this field is **not** included in the response.

Authentication

Authorizationstring
API Key authentication via header

Query parameters

projectKeystringOptionalformat: "string"
The project key
environmentKeystringOptionalformat: "string"
The environment key
applicationKeystringOptionalformat: "string"
Comma separated list of application keys
fromdatetimeOptional
Unix timestamp in milliseconds. Default value is 7 days ago.
todatetimeOptional
Unix timestamp in milliseconds. Default value is now.
bucketTypestringOptionalformat: "string"

Specify type of bucket. Options: rolling, hour, day. Default: rolling.

bucketMslongOptional

Duration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).

groupBystringOptionalformat: "string"

Options: application, kind

expandstringOptionalformat: "string"

Options: metrics

Response

Chart response
metadataobject
Metadata for the chart
serieslist of objects
Series data for the chart

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error